Export live query results

Server: https://{kibana_url}
  • POST /api/osquery/live_queries/{id}/results/{actionId}/_export
  • POST /s/{space_id}/api/osquery/live_queries/{id}/results/{actionId}/_export

Refer to Spaces for more information.

Export the results of a live query action as a downloadable file. The response is a streaming file attachment in the requested format.

Query Parameters

format enum required

The output format of the exported file.

Values: ndjson json csv

Responses

403

The authenticated user does not have the osquery-readLiveQueries privilege required to export live query results.